Bug 252138 - since 2.6.22.1-32.fc6 crontab "init 0" performs a reboot
since 2.6.22.1-32.fc6 crontab "init 0" performs a reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: acpi (Show other bugs)
6
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-14 02:52 EDT by Ian
Modified: 2008-05-06 15:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
extract from messages log (2.08 KB, text/plain)
2007-08-14 07:37 EDT, Ian
no flags Details
Latest messages log from last night (29.15 KB, text/plain)
2007-08-23 04:14 EDT, Ian
no flags Details

  None (edit)
Description Ian 2007-08-14 02:52:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; iOpus-I-M; Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1) ; .NET CLR 3.0.04506.30; .NET CLR 2.0.50727)

Description of problem:
I have been using a crontab at 23:00 everynight to perform a shutdown via init 0.

Since performing the kernel update, this shutdown, is now performing a restart.

I've changed the crontab to use either shutdown or init 0, and both sees the same result.

I changed the entry to perform during the day, and all works ok.


Last night I watched the shutdown, and following the TERM signal, the PC restarted.

For today, I've now changed the shutdown time to 22:50.

This has only started since the kernel update.

thanks


Version-Release number of selected component (if applicable):
kernel-2.6.22.1-32.fc6 

How reproducible:
Sometimes


Steps to Reproduce:
1. changed times
2. watched shutdown
3.

Actual Results:
performs a reboot only when hour set to 23:??

Expected Results:
normal shutdown and power off

Additional info:
Comment 1 Marcela Mašláňová 2007-08-14 03:16:23 EDT
What was the crontabs version, what version of vixie-cron. 
Are you using crontab -e or editing /etc/crontab?
Comment 2 Ian 2007-08-14 03:25:29 EDT
(In reply to comment #1)
> What was the crontabs version, what version of vixie-cron. 
> Are you using crontab -e or editing /etc/crontab?

anacron.i386                             2.3-44.fc6             installed
crontabs.noarch                          1.10-12.fc6            installed
vixie-cron.i386                          4:4.1-69.fc6           installed

i always edit using crontab -e
Comment 3 Marcela Mašláňová 2007-08-14 04:18:59 EDT
I'm using shutdown -h, but I have similar problem on my fc-6 independent on time
and with kernel-2.6.19-1.2911.6.4.fc6.
That's definitely not problem of crontabs.
Comment 4 Ian 2007-08-14 07:37:43 EDT
Created attachment 161262 [details]
extract from messages log
Comment 5 Ian 2007-08-14 07:40:27 EDT
> I'm using shutdown -h, but I have similar problem on my fc-6 independent on 
time
> and with kernel-2.6.19-1.2911.6.4.fc6.
> That's definitely not problem of crontabs.

I have been looking around and taken an extract from the messages log.

It appeared at shutdown smartd raised an error with a signal 15.

I understand that this may cause a reboot rather than shutdown.

Will disable SMART on the PC BIOS and see what happens.

thanks(In reply to comment #3)

Comment 6 Ian 2007-08-17 03:44:23 EDT
(In reply to comment #5)
> > I'm using shutdown -h, but I have similar problem on my fc-6 independent on 
> time
> > and with kernel-2.6.19-1.2911.6.4.fc6.
> > That's definitely not problem of crontabs.
> I have been looking around and taken an extract from the messages log.
> It appeared at shutdown smartd raised an error with a signal 15.
> I understand that this may cause a reboot rather than shutdown.
> Will disable SMART on the PC BIOS and see what happens.
> thanks(In reply to comment #3)


I'm still having problems - and even disabling SMART on the BIOS and stopping 
and disabling the smartd processes, still getting reboots on shutdown.

Over the next few days I will keep changing the shutdown times to try and get a 
succesfull shutdown.  I know thatduring daytime hours it appears to be ok, 
which I discovered when trying to establish what the problem was.  So each 
night I will be changing the shutdown by bringing forward the time by 30 mins.
Comment 7 Ian 2007-08-22 03:40:49 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > > I'm using shutdown -h, but I have similar problem on my fc-6 independent 
on 
> > time
> > > and with kernel-2.6.19-1.2911.6.4.fc6.
> > > That's definitely not problem of crontabs.
> > I have been looking around and taken an extract from the messages log.
> > It appeared at shutdown smartd raised an error with a signal 15.
> > I understand that this may cause a reboot rather than shutdown.
> > Will disable SMART on the PC BIOS and see what happens.
> > thanks(In reply to comment #3)
> I'm still having problems - and even disabling SMART on the BIOS and stopping 
> and disabling the smartd processes, still getting reboots on shutdown.
> Over the next few days I will keep changing the shutdown times to try and get 
a 
> succesfull shutdown.  I know thatduring daytime hours it appears to be ok, 
> which I discovered when trying to establish what the problem was.  So each 
> night I will be changing the shutdown by bringing forward the time by 30 mins.

Yesterday I  applied the following updates :

smartmontools-5.37-1.2.fc6 
dovecot-1.0.3-6.fc6 
kernel-2.6.22.1-32.fc6 

and had a successfull shutdown, the first since the last update, at 23:00

I will confirm in a couple of days whether this has successfully fixed the 
problem.

thanks

Comment 8 Ian 2007-08-23 03:26:09 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > > I'm using shutdown -h, but I have similar problem on my fc-6 
independent 
> on 
> > > time
> > > > and with kernel-2.6.19-1.2911.6.4.fc6.
> > > > That's definitely not problem of crontabs.
> > > I have been looking around and taken an extract from the messages log.
> > > It appeared at shutdown smartd raised an error with a signal 15.
> > > I understand that this may cause a reboot rather than shutdown.
> > > Will disable SMART on the PC BIOS and see what happens.
> > > thanks(In reply to comment #3)
> > I'm still having problems - and even disabling SMART on the BIOS and 
stopping 
> > and disabling the smartd processes, still getting reboots on shutdown.
> > Over the next few days I will keep changing the shutdown times to try and 
get 
> a 
> > succesfull shutdown.  I know thatduring daytime hours it appears to be ok, 
> > which I discovered when trying to establish what the problem was.  So each 
> > night I will be changing the shutdown by bringing forward the time by 30 
mins.
> Yesterday I  applied the following updates :
> smartmontools-5.37-1.2.fc6 
> dovecot-1.0.3-6.fc6 
> kernel-2.6.22.1-32.fc6 
> and had a successfull shutdown, the first since the last update, at 23:00
> I will confirm in a couple of days whether this has successfully fixed the 
> problem.
> thanks


This does not appear to be resolved.  Last night at 23:00 at shutdown, the 
server rebooted.

I am now having to stop awake to check this - I have remote users accessing 
this server, and do not want to shutdown the service any earlier, and am having 
to stop up to close down the server manually.

Please can you confirm whether this is a known issue that is being addressed.

thanks
Comment 9 Ian 2007-08-23 04:14:23 EDT
Created attachment 167989 [details]
Latest messages log from last night

included last nights message log showing shutdown and restart
Comment 10 Ian 2007-09-06 02:51:25 EDT
(In reply to comment #9)
> Created an attachment (id=167989) [edit]
> Latest messages log from last night
> included last nights message log showing shutdown and restart

Loaded latest kernel kernel-2.6.22.4-45 yesterday, but still on shutdown, a 
restart is performed.

thanks
Comment 11 Ian 2007-09-14 03:06:47 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > Created an attachment (id=167989) [edit] [edit]
> > Latest messages log from last night
> > included last nights message log showing shutdown and restart
> Loaded latest kernel kernel-2.6.22.4-45 yesterday, but still on shutdown, a 
> restart is performed.
> thanks


Loaded latest Kernel Linux 2.6.22.5-49.fc6  yesterday, and shutdown still 
performed a reboot.

I have also noticed, the using the power off button normally performs a 
shutdown, but that occasionaly too also performs a restart.

thanks
Comment 12 Patrice Dumas 2007-10-17 03:01:13 EDT
I don't know why this bug has been assigned to me?
Comment 13 Bug Zapper 2008-04-04 03:31:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Bug Zapper 2008-05-06 15:44:09 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.